Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/src/main/java/org/gvsig/export/app/extension/ExportTable.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/src/main/java/org/gvsig/export/app/extension/ExportTable.java	(revision 44394)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/src/main/java/org/gvsig/export/app/extension/ExportTable.java	(revision 44395)
@@ -84,7 +84,9 @@
     private void doAddTable(ExportProcess process) {
         ApplicationManager application = ApplicationLocator.getManager();
         I18nManager i18n = ToolsLocator.getI18nManager();
-
+        if (process.getTargetOpenStoreParameters()==null) {
+            return;
+        }
         int n = application.confirmDialog(
                 i18n.getTranslation("_Add_new_table_to_current_project"), 
                 i18n.getTranslation("_Export"), 
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/src/main/java/org/gvsig/export/app/extension/ExportLayerExtension.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/src/main/java/org/gvsig/export/app/extension/ExportLayerExtension.java	(revision 44394)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/src/main/java/org/gvsig/export/app/extension/ExportLayerExtension.java	(revision 44395)
@@ -202,6 +202,10 @@
         
         ApplicationManager application = ApplicationLocator.getManager();
         I18nManager i18n = ToolsLocator.getI18nManager();
+        
+        if (process.getTargetOpenStoreParameters()==null) {
+            return;
+        }
 
         int n = application.confirmDialog(
                 i18n.getTranslation("_Add_new_layer_to_current_view"), 
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/export/swing/impl/DefaultJExportProcessPanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/export/swing/impl/DefaultJExportProcessPanel.java	(revision 44394)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/export/swing/impl/DefaultJExportProcessPanel.java	(revision 44395)
@@ -27,6 +27,7 @@
 import java.awt.Dimension;
 import java.awt.event.ActionEvent;
 import java.awt.event.ActionListener;
+import java.util.Date;
 import java.util.HashSet;
 import java.util.Set;
 import javax.swing.JButton;
@@ -133,12 +134,11 @@
         try {
             removePreviousPanels();
             if (this.process.getParameters() != null) {
-                if ( StringUtils.equals(this.process.getParameters().getServiceName(),serviceFactory.getName())) {
-                    this.process.setParameters(null);
+                // Check parameters are for the actual serviceFactory, if not, reset.
+                if ( !StringUtils.equals(this.process.getParameters().getServiceName(),serviceFactory.getName())) {
+                    this.process.setOutputFormat(serviceFactory.getName());
                 }
-            }
-            
-            if (this.process.getParameters()==null) {
+            } else if (this.process.getParameters()==null) {
                 this.process.setOutputFormat(serviceFactory.getName());
             }
             
@@ -293,6 +293,7 @@
         ExportParameters copyParams = null;
         try {
             copyParams = (ExportParameters) params.clone();
+            copyParams.setCreationDate(new Date());
             History<ExportParameters> h = exportManager.getHistory();
             h.add(copyParams);
         } catch (Exception ex) {
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/export/swing/impl/panels/ExportProgressPanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/export/swing/impl/panels/ExportProgressPanel.java	(revision 44394)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/export/swing/impl/panels/ExportProgressPanel.java	(revision 44395)
@@ -3,6 +3,7 @@
 import java.awt.BorderLayout;
 import java.awt.event.ActionEvent;
 import java.awt.event.ActionListener;
+import java.util.Date;
 import javax.swing.JComponent;
 import org.gvsig.export.ExportLocator;
 import org.gvsig.export.ExportParameters;
@@ -13,7 +14,7 @@
 import org.gvsig.tools.bookmarksandhistory.Bookmarks;
 import org.gvsig.tools.i18n.I18nManager;
 import org.gvsig.tools.swing.api.ToolsSwingLocator;
-import static org.gvsig.tools.swing.api.bookmarkshistory.ActionEventWithCurrentValue.ID_GETVALUE;
+import org.gvsig.tools.swing.api.bookmarkshistory.ActionEventWithCurrentValue;
 import org.gvsig.tools.swing.api.bookmarkshistory.BookmarksController;
 import org.gvsig.tools.swing.api.bookmarkshistory.BookmarksController.BookmarkEvent;
 import org.gvsig.tools.swing.api.task.JTaskStatus;
@@ -30,7 +31,7 @@
         implements ExportPanel {
 
     private final static Logger LOGGER = LoggerFactory.getLogger(ExportProgressPanel.class);
-    
+
     private final JExportProcessPanel processPanel;
     private final ExportParameters parameters;
     private JTaskStatus jTaskStatus;
@@ -53,7 +54,6 @@
         this.jpnMain.add(jTaskStatus, BorderLayout.NORTH);
         this.jTaskStatus.bind(this.processPanel.getProcess().getTaskStatus());
 
-//        I18nManager i18nManager = ToolsLocator.getI18nManager();
         Bookmarks<ExportParameters> bookmarks = ExportLocator.getManager().getBookmarks();
         this.bookmarksController = ToolsSwingLocator.getToolsSwingManager().createBookmarksController(bookmarks, this.btnBookmark);
         this.bookmarksController.setAllowAddBookmarks(true);
@@ -62,9 +62,11 @@
             @Override
             public void actionPerformed(ActionEvent e) {
                 try {
-                    if (e.getID() == ID_GETVALUE) {
-                        BookmarkEvent b = (BookmarkEvent) e;
-                        b.setCurrentValue(parameters.clone());
+                    if (e.getID() == ActionEventWithCurrentValue.ID_GETVALUE) {
+                        BookmarkEvent bookmarkEvent = (BookmarkEvent) e;
+                        ExportParameters clone = parameters.clone();
+                        clone.setCreationDate(new Date());
+                        bookmarkEvent.setCurrentValue(clone);
                     }
                 } catch (CloneNotSupportedException ex) {
                     LOGGER.warn("Can't clone export parameters.", ex);
@@ -91,6 +93,7 @@
 
     @Override
     public void enterPanel() {
+//        this.jTaskStatus.setCurValue(0);
 
     }
 
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/export/swing/impl/panels/SelectAttributesPanelView.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/export/swing/impl/panels/SelectAttributesPanelView.java	(revision 44394)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/export/swing/impl/panels/SelectAttributesPanelView.java	(revision 44395)
@@ -1,5 +1,5 @@
 package org.gvsig.export.swing.impl.panels;
-
+import com.jeta.open.i18n.I18NUtils;
 import com.jgoodies.forms.layout.CellConstraints;
 import com.jgoodies.forms.layout.FormLayout;
 import java.awt.BorderLayout;
@@ -15,148 +15,155 @@
 import javax.swing.JPanel;
 import javax.swing.JScrollPane;
 import javax.swing.JTable;
-import javax.swing.table.DefaultTableModel;
-import javax.swing.table.TableModel;
 
-public class SelectAttributesPanelView extends JPanel {
 
-    JLabel lblHeader = new JLabel();
-//    JPanel jplAttributes = new JPanel();
-    JTable tblAttributes = new JTable();
+public class SelectAttributesPanelView extends JPanel
+{
+   JLabel lblHeader = new JLabel();
+   JPanel jplAttributes = new JPanel();
+   JTable tblAttributes = new JTable();
 
-    /**
-     * Default constructor
-     */
-    public SelectAttributesPanelView() {
-        initializePanel();
-    }
+   /**
+    * Default constructor
+    */
+   public SelectAttributesPanelView()
+   {
+      initializePanel();
+   }
 
-    /**
-     * Main method for panel
-     */
-    public static void main(String[] args) {
-        JFrame frame = new JFrame();
-        frame.setSize(600, 400);
-        frame.setLocation(100, 100);
-        frame.getContentPane().add(new SelectAttributesPanelView());
-        frame.setVisible(true);
+   /**
+    * Main method for panel
+    */
+   public static void main(String[] args)
+   {
+      JFrame frame = new JFrame();
+      frame.setSize(600, 400);
+      frame.setLocation(100, 100);
+      frame.getContentPane().add(new SelectAttributesPanelView());
+      frame.setVisible(true);
 
-        frame.addWindowListener(new WindowAdapter() {
-            public void windowClosing(WindowEvent evt) {
-                System.exit(0);
-            }
-        });
-    }
+      frame.addWindowListener( new WindowAdapter()
+      {
+         public void windowClosing( WindowEvent evt )
+         {
+            System.exit(0);
+         }
+      });
+   }
 
-    /**
-     * Adds fill components to empty cells in the first row and first column of
-     * the grid. This ensures that the grid spacing will be the same as shown in
-     * the designer.
-     *
-     * @param cols an array of column indices in the first row where fill
-     * components should be added.
-     * @param rows an array of row indices in the first column where fill
-     * components should be added.
-     */
-    void addFillComponents(Container panel, int[] cols, int[] rows) {
-        Dimension filler = new Dimension(10, 10);
+   /**
+    * Adds fill components to empty cells in the first row and first column of the grid.
+    * This ensures that the grid spacing will be the same as shown in the designer.
+    * @param cols an array of column indices in the first row where fill components should be added.
+    * @param rows an array of row indices in the first column where fill components should be added.
+    */
+   void addFillComponents( Container panel, int[] cols, int[] rows )
+   {
+      Dimension filler = new Dimension(10,10);
 
-        boolean filled_cell_11 = false;
-        CellConstraints cc = new CellConstraints();
-        if (cols.length > 0 && rows.length > 0) {
-            if (cols[0] == 1 && rows[0] == 1) {
-                /**
-                 * add a rigid area
-                 */
-                panel.add(Box.createRigidArea(filler), cc.xy(1, 1));
-                filled_cell_11 = true;
-            }
-        }
+      boolean filled_cell_11 = false;
+      CellConstraints cc = new CellConstraints();
+      if ( cols.length > 0 && rows.length > 0 )
+      {
+         if ( cols[0] == 1 && rows[0] == 1 )
+         {
+            /** add a rigid area  */
+            panel.add( Box.createRigidArea( filler ), cc.xy(1,1) );
+            filled_cell_11 = true;
+         }
+      }
 
-        for (int index = 0; index < cols.length; index++) {
-            if (cols[index] == 1 && filled_cell_11) {
-                continue;
-            }
-            panel.add(Box.createRigidArea(filler), cc.xy(cols[index], 1));
-        }
+      for( int index = 0; index < cols.length; index++ )
+      {
+         if ( cols[index] == 1 && filled_cell_11 )
+         {
+            continue;
+         }
+         panel.add( Box.createRigidArea( filler ), cc.xy(cols[index],1) );
+      }
 
-        for (int index = 0; index < rows.length; index++) {
-            if (rows[index] == 1 && filled_cell_11) {
-                continue;
-            }
-            panel.add(Box.createRigidArea(filler), cc.xy(1, rows[index]));
-        }
+      for( int index = 0; index < rows.length; index++ )
+      {
+         if ( rows[index] == 1 && filled_cell_11 )
+         {
+            continue;
+         }
+         panel.add( Box.createRigidArea( filler ), cc.xy(1,rows[index]) );
+      }
 
-    }
+   }
 
-    /**
-     * Helper method to load an image file from the CLASSPATH
-     *
-     * @param imageName the package and name of the file to load relative to the
-     * CLASSPATH
-     * @return an ImageIcon instance with the specified image file
-     * @throws IllegalArgumentException if the image resource cannot be loaded.
-     */
-    public ImageIcon loadImage(String imageName) {
-        try {
-            ClassLoader classloader = getClass().getClassLoader();
-            java.net.URL url = classloader.getResource(imageName);
-            if (url != null) {
-                ImageIcon icon = new ImageIcon(url);
-                return icon;
-            }
-        } catch (Exception e) {
-            e.printStackTrace();
-        }
-        throw new IllegalArgumentException("Unable to load image: " + imageName);
-    }
+   /**
+    * Helper method to load an image file from the CLASSPATH
+    * @param imageName the package and name of the file to load relative to the CLASSPATH
+    * @return an ImageIcon instance with the specified image file
+    * @throws IllegalArgumentException if the image resource cannot be loaded.
+    */
+   public ImageIcon loadImage( String imageName )
+   {
+      try
+      {
+         ClassLoader classloader = getClass().getClassLoader();
+         java.net.URL url = classloader.getResource( imageName );
+         if ( url != null )
+         {
+            ImageIcon icon = new ImageIcon( url );
+            return icon;
+         }
+      }
+      catch( Exception e )
+      {
+         e.printStackTrace();
+      }
+      throw new IllegalArgumentException( "Unable to load image: " + imageName );
+   }
 
-    /**
-     * Method for recalculating the component orientation for right-to-left
-     * Locales.
-     *
-     * @param orientation the component orientation to be applied
-     */
-    public void applyComponentOrientation(ComponentOrientation orientation) {
-        // Not yet implemented...
-        // I18NUtils.applyComponentOrientation(this, orientation);
-        super.applyComponentOrientation(orientation);
-    }
+   /**
+    * Method for recalculating the component orientation for 
+    * right-to-left Locales.
+    * @param orientation the component orientation to be applied
+    */
+   public void applyComponentOrientation( ComponentOrientation orientation )
+   {
+      // Not yet implemented...
+      // I18NUtils.applyComponentOrientation(this, orientation);
+      super.applyComponentOrientation(orientation);
+   }
 
-    public JPanel createPanel() {
-        JPanel jpanel1 = new JPanel();
-        FormLayout formlayout1 = new FormLayout("FILL:4DLU:NONE,FILL:8DLU:NONE,FILL:8DLU:NONE,FILL:DEFAULT:GROW(1.0),FILL:4DLU:NONE", "CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:53DLU:NONE,CENTER:2DLU:NONE");
-        CellConstraints cc = new CellConstraints();
-        jpanel1.setLayout(formlayout1);
+   public JPanel createPanel()
+   {
+      JPanel jpanel1 = new JPanel();
+      FormLayout formlayout1 = new FormLayout("FILL:4DLU:NONE,FILL:8DLU:NONE,FILL:8DLU:NONE,FILL:DEFAULT:GROW(1.0),FILL:4DLU:NONE","CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:53DLU:NONE,CENTER:2DLU:NONE");
+      CellConstraints cc = new CellConstraints();
+      jpanel1.setLayout(formlayout1);
 
-        lblHeader.setName("lblHeader");
-        lblHeader.setText("_select_attributes_to_export_and_its_name");
-        jpanel1.add(lblHeader, cc.xywh(2, 2, 3, 1));
+      lblHeader.setName("lblHeader");
+      lblHeader.setText("_Select_name_type_size_and_attributes_to_export");
+      jpanel1.add(lblHeader,cc.xywh(2,2,3,1));
 
-//        jplAttributes.setAutoscrolls(true);
-//        jplAttributes.setName("jplAttributes");
-//        jpanel1.add(jplAttributes, cc.xy(4, 5));
+      jplAttributes.setAutoscrolls(true);
+      jplAttributes.setName("jplAttributes");
+      jpanel1.add(jplAttributes,cc.xy(4,5));
 
-        tblAttributes.setName("tblAttributes");
-        JScrollPane jscrollpane1 = new JScrollPane();
-        jscrollpane1.setViewportView(tblAttributes);
-        jscrollpane1.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED);
-        jscrollpane1.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
-        jpanel1.add(jscrollpane1, cc.xy(4, 4));
-//        Object data = null;
-//TODO translate
+      tblAttributes.setName("tblAttributes");
+      JScrollPane jscrollpane1 = new JScrollPane();
+      jscrollpane1.setViewportView(tblAttributes);
+      jscrollpane1.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED);
+      jscrollpane1.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
+      jpanel1.add(jscrollpane1,cc.xy(4,4));
 
+      addFillComponents(jpanel1,new int[]{ 1,2,3,4,5 },new int[]{ 1,2,3,4,5,6 });
+      return jpanel1;
+   }
 
-        addFillComponents(jpanel1, new int[]{1, 2, 3, 4, 5}, new int[]{1, 2, 3, 4, 5, 6});
-        return jpanel1;
-    }
+   /**
+    * Initializer
+    */
+   protected void initializePanel()
+   {
+      setLayout(new BorderLayout());
+      add(createPanel(), BorderLayout.CENTER);
+   }
 
-    /**
-     * Initializer
-     */
-    protected void initializePanel() {
-        setLayout(new BorderLayout());
-        add(createPanel(), BorderLayout.CENTER);
-    }
 
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/export/swing/impl/panels/SelectTargetProjectionPanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/export/swing/impl/panels/SelectTargetProjectionPanel.java	(revision 44394)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/export/swing/impl/panels/SelectTargetProjectionPanel.java	(revision 44395)
@@ -71,7 +71,7 @@
             this.projectionController.set(this.parameters.getSourceProjection());
         } else {
             this.projectionController.set(this.parameters.getTargetProjection());
-        }       
+        }
         this.rdbtnOriginalProjection.addItemListener(new ItemListener() {
             @Override
             public void itemStateChanged(ItemEvent e) {
@@ -90,11 +90,11 @@
                 doRadioButonsStateChanged();
             }
         });
-        if( this.parameters.getSourceProjection()==null ) {
+        if (this.parameters.getSourceProjection() == null) {
             this.rdbtnUserProjection.setSelected(true);
-        } else if (this.parameters.getTargetProjection()==this.parameters.getSourceProjection()) {
+        } else if (this.parameters.getTargetProjection() == this.parameters.getSourceProjection()) {
             this.rdbtnOriginalProjection.setSelected(true);
-        } else if (this.parameters.getTargetProjection()==this.parameters.getContextProjection()) {
+        } else if (this.parameters.getTargetProjection() == this.parameters.getContextProjection()) {
             this.rdbtnViewProjection.setSelected(true);
         } else {
             this.rdbtnUserProjection.setSelected(true);
@@ -151,22 +151,29 @@
 
     @Override
     public void enterPanel() {
-//        IProjection targetProjection = this.parameters.getTargetProjection();
-//        IProjection contextProjection = this.parameters.getContextProjection();
-//        IProjection sourceProjection = this.parameters.getSourceProjection();
-//        
-//        ICoordTrans trans = this.parameters.getTargetTransformation();
-//        
-//        
-//        if (targetProjection != null) {
-//            
-//            this.projectionController.set(targetProjection);
-//        }
-//        IProjection actualProjection = this.parameters.getContextProjection();
-//
-//        if (targetProjection != actualProjection) {
-//            rdbtnUserProjection.setEnabled(true);
-//        }
+        IProjection targetProjection = this.parameters.getTargetProjection();
+        IProjection contextProjection = this.parameters.getContextProjection();
+        IProjection sourceProjection = this.parameters.getSourceProjection();
+
+        ICoordTrans trans = this.parameters.getTargetTransformation();
+
+        if (targetProjection != null) {
+            this.projectionController.set(targetProjection);
+        } else if (contextProjection != null) {
+            this.projectionController.set(contextProjection);
+        } else if (sourceProjection != null) {
+            this.projectionController.set(sourceProjection);
+        }
+
+        if (targetProjection != contextProjection) {
+            rdbtnUserProjection.setSelected(true);
+        } else {
+            if (targetProjection == sourceProjection) {
+                rdbtnOriginalProjection.setSelected(true);
+            } else if (targetProjection == contextProjection) {
+                rdbtnViewProjection.setSelected(true);
+            }
+        }
     }
 
     @Override
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/export/swing/impl/panels/SelectCharsetPanelView.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/export/swing/impl/panels/SelectCharsetPanelView.java	(revision 0)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/export/swing/impl/panels/SelectCharsetPanelView.java	(revision 44395)
@@ -0,0 +1,164 @@
+package org.gvsig.export.swing.impl.panels;
+import com.jeta.open.i18n.I18NUtils;
+import com.jgoodies.forms.layout.CellConstraints;
+import com.jgoodies.forms.layout.FormLayout;
+import java.awt.BorderLayout;
+import java.awt.ComponentOrientation;
+import java.awt.Container;
+import java.awt.Dimension;
+import java.awt.event.WindowAdapter;
+import java.awt.event.WindowEvent;
+import javax.swing.Box;
+import javax.swing.ImageIcon;
+import javax.swing.JFrame;
+import javax.swing.JLabel;
+import javax.swing.JList;
+import javax.swing.JPanel;
+import javax.swing.JScrollPane;
+
+
+public class SelectCharsetPanelView extends JPanel
+{
+   JLabel lblCharset = new JLabel();
+   JList lstCharset = new JList();
+
+   /**
+    * Default constructor
+    */
+   public SelectCharsetPanelView()
+   {
+      initializePanel();
+   }
+
+   /**
+    * Main method for panel
+    */
+   public static void main(String[] args)
+   {
+      JFrame frame = new JFrame();
+      frame.setSize(600, 400);
+      frame.setLocation(100, 100);
+      frame.getContentPane().add(new SelectCharsetPanelView());
+      frame.setVisible(true);
+
+      frame.addWindowListener( new WindowAdapter()
+      {
+         public void windowClosing( WindowEvent evt )
+         {
+            System.exit(0);
+         }
+      });
+   }
+
+   /**
+    * Adds fill components to empty cells in the first row and first column of the grid.
+    * This ensures that the grid spacing will be the same as shown in the designer.
+    * @param cols an array of column indices in the first row where fill components should be added.
+    * @param rows an array of row indices in the first column where fill components should be added.
+    */
+   void addFillComponents( Container panel, int[] cols, int[] rows )
+   {
+      Dimension filler = new Dimension(10,10);
+
+      boolean filled_cell_11 = false;
+      CellConstraints cc = new CellConstraints();
+      if ( cols.length > 0 && rows.length > 0 )
+      {
+         if ( cols[0] == 1 && rows[0] == 1 )
+         {
+            /** add a rigid area  */
+            panel.add( Box.createRigidArea( filler ), cc.xy(1,1) );
+            filled_cell_11 = true;
+         }
+      }
+
+      for( int index = 0; index < cols.length; index++ )
+      {
+         if ( cols[index] == 1 && filled_cell_11 )
+         {
+            continue;
+         }
+         panel.add( Box.createRigidArea( filler ), cc.xy(cols[index],1) );
+      }
+
+      for( int index = 0; index < rows.length; index++ )
+      {
+         if ( rows[index] == 1 && filled_cell_11 )
+         {
+            continue;
+         }
+         panel.add( Box.createRigidArea( filler ), cc.xy(1,rows[index]) );
+      }
+
+   }
+
+   /**
+    * Helper method to load an image file from the CLASSPATH
+    * @param imageName the package and name of the file to load relative to the CLASSPATH
+    * @return an ImageIcon instance with the specified image file
+    * @throws IllegalArgumentException if the image resource cannot be loaded.
+    */
+   public ImageIcon loadImage( String imageName )
+   {
+      try
+      {
+         ClassLoader classloader = getClass().getClassLoader();
+         java.net.URL url = classloader.getResource( imageName );
+         if ( url != null )
+         {
+            ImageIcon icon = new ImageIcon( url );
+            return icon;
+         }
+      }
+      catch( Exception e )
+      {
+         e.printStackTrace();
+      }
+      throw new IllegalArgumentException( "Unable to load image: " + imageName );
+   }
+
+   /**
+    * Method for recalculating the component orientation for 
+    * right-to-left Locales.
+    * @param orientation the component orientation to be applied
+    */
+   public void applyComponentOrientation( ComponentOrientation orientation )
+   {
+      // Not yet implemented...
+      // I18NUtils.applyComponentOrientation(this, orientation);
+      super.applyComponentOrientation(orientation);
+   }
+
+   public JPanel createPanel()
+   {
+      JPanel jpanel1 = new JPanel();
+      FormLayout formlayout1 = new FormLayout("FILL:DEFAULT:NONE,FILL:8DLU:NONE,FILL:DEFAULT:GROW(1.0),FILL:DEFAULT:NONE","CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,FILL:DEFAULT:GROW(1.0),CENTER:DEFAULT:NONE");
+      CellConstraints cc = new CellConstraints();
+      jpanel1.setLayout(formlayout1);
+
+      lblCharset.setName("lblCharset");
+      lblCharset.setText("_Charset");
+      jpanel1.add(lblCharset,cc.xywh(2,2,2,1));
+
+      lstCharset.setName("lstCharset");
+      JScrollPane jscrollpane1 = new JScrollPane();
+      jscrollpane1.setViewportView(lstCharset);
+      jscrollpane1.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED);
+      jscrollpane1.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
+      jpanel1.add(jscrollpane1,cc.xy(3,3));
+
+      addFillComponents(jpanel1,new int[]{ 1,2,3,4 },new int[]{ 1,2,3,4 });
+      return jpanel1;
+   }
+
+   /**
+    * Initializer
+    */
+   protected void initializePanel()
+   {
+      setLayout(new BorderLayout());
+      add(createPanel(), BorderLayout.CENTER);
+   }
+
+
+}
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/export/swing/impl/panels/SelectAttributesPanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/export/swing/impl/panels/SelectAttributesPanel.java	(revision 44394)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/export/swing/impl/panels/SelectAttributesPanel.java	(revision 44395)
@@ -17,8 +17,8 @@
 import javax.swing.ListCellRenderer;
 import javax.swing.table.DefaultTableModel;
 import javax.swing.table.TableModel;
+import org.apache.commons.lang.StringUtils;
 import org.gvsig.export.ExportAttributes;
-import org.gvsig.export.ExportLocator;
 import org.gvsig.export.ExportParameters;
 import org.gvsig.export.swing.JExportProcessPanel;
 import org.gvsig.export.swing.spi.ExportPanel;
@@ -29,6 +29,8 @@
 import org.gvsig.tools.dataTypes.DataTypesManager;
 import org.gvsig.tools.i18n.I18nManager;
 import org.gvsig.tools.swing.api.ListElement;
+import org.gvsig.tools.swing.api.ToolsSwingLocator;
+import org.gvsig.tools.swing.api.ToolsSwingManager;
 import org.slf4j.Logger;
 import org.slf4j.LoggerFactory;
 
@@ -58,6 +60,7 @@
     ) {
         this.processPanel = processPanel;
         this.parameters = parameters;
+        this.parameters.getExportAttributes().setActive(true);
         this.initComponents();
     }
 
@@ -267,7 +270,7 @@
                             this.setText(value.toString());
                         }
                         Font f = this.getFont();
-                        if (value.toString() == initialType) {
+                        if (StringUtils.equals(value.toString(), initialType)) {
                             this.setFont(f.deriveFont(f.getStyle() | Font.BOLD));
                         } else {
                             this.setFont(f.deriveFont(f.getStyle() & ~Font.BOLD));
@@ -297,9 +300,8 @@
     }
 
     private void translate() {
-        I18nManager i18nManager = ToolsLocator.getI18nManager();
-        this.lblHeader.setText(i18nManager.getTranslation("_Select_attributes_to_export_and_its_name"));
-
+        ToolsSwingManager manager = ToolsSwingLocator.getToolsSwingManager();
+        manager.translate(this.lblHeader);
     }
 
 }
